'use client';

import { createBrowserClient } from '@supabase/ssr';
import type { Database } from '@/utils/supabase/database.types';
import type { SupabaseClient } from '@/utils/supabase/types';
import { useMemo } from 'react';

let client: SupabaseClient | undefined;

const getSupbaseClient = () => {
  if  (client) return client;
  client = createBrowserClient<Database>(
    process.env.NEXT_PUBLIC_SUPABASE_URL!,
    process.env.NEXT_PUBLIC_SUPABASE_ANON_KEY!,
  );
  return client;
};

const useSupabaseClient = () => {
  return useMemo(getSupbaseClient, []);
};

export { useSupabaseClient };
